svn commit: r278893 - user/pho/stress2/misc

Peter Holm pho at FreeBSD.org
Tue Feb 17 09:40:38 UTC 2015


Author: pho
Date: Tue Feb 17 09:40:36 2015
New Revision: 278893
URL: https://svnweb.freebsd.org/changeset/base/278893

Log:
  Fix whitespace, limit runtime and user $testuser.
  
  Sponsored by:	 EMC / Isilon storage division

Modified:
  user/pho/stress2/misc/quota1.sh
  user/pho/stress2/misc/quota10.sh
  user/pho/stress2/misc/quota5.sh

Modified: user/pho/stress2/misc/quota1.sh
==============================================================================
--- user/pho/stress2/misc/quota1.sh	Tue Feb 17 09:34:48 2015	(r278892)
+++ user/pho/stress2/misc/quota1.sh	Tue Feb 17 09:40:36 2015	(r278893)
@@ -48,7 +48,7 @@ newfs $newfs_flags  md${mdstart}$part > 
 mount /dev/md${mdstart}$part $mntpoint
 export RUNDIR=${mntpoint}/stressX
 export runRUNTIME=10m            # Run tests for 10 minutes
-(cd ..; ./run.sh disk.cfg) 
+(cd ..; ./run.sh disk.cfg)
 while mount | grep -q $mntpoint; do
 	umount $mntpoint > /dev/null 2>&1 || sleep 1
 done

Modified: user/pho/stress2/misc/quota10.sh
==============================================================================
--- user/pho/stress2/misc/quota10.sh	Tue Feb 17 09:34:48 2015	(r278892)
+++ user/pho/stress2/misc/quota10.sh	Tue Feb 17 09:40:36 2015	(r278893)
@@ -88,7 +88,7 @@ else
 	else
 
 		# The test: Parallel mount and unmounts
-		for i in `jot 1024`; do
+		for i in `jot 1000`; do
 			m=$1
 			opt=`[ $(( m % 2 )) -eq 0 ] && echo -f`
 			mount $opt /dev/md${m}${part} ${mntpoint}$m

Modified: user/pho/stress2/misc/quota5.sh
==============================================================================
--- user/pho/stress2/misc/quota5.sh	Tue Feb 17 09:34:48 2015	(r278892)
+++ user/pho/stress2/misc/quota5.sh	Tue Feb 17 09:40:36 2015	(r278893)
@@ -30,15 +30,16 @@
 
 [ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
 
+mount | grep -q "on /tmp (ufs," || exit 0
 if ! grep /tmp /etc/fstab | grep -q quota ; then
 	echo "/tmp must have quota enabled!"
 	exit 2
-fi	
-edquota -u -f /tmp -e /tmp:1500000:1400000:200000:180000 pho
-edquota -g -f /tmp -e /tmp:1500000:1400000:200000:180000 pho
+fi
+edquota -u -f /tmp -e /tmp:1500000:1400000:200000:180000 $testuser
+edquota -g -f /tmp -e /tmp:1500000:1400000:200000:180000 $testuser
 quotaon /tmp
 
-#su pho -c "export runRUNTIME=60m; cd /home/pho/stress2; ./run.sh disk.cfg"
-su pho -c "export runRUNTIME=60m; cd ..; ./mkdir -t 1h -i 200 -v -v"
+su $testuser -c "export runRUNTIME=60m; cd ../testcases/mkdir; \
+    ./mkdir -t 30m -i 200 -v -v"
 
 quotaoff /tmp


More information about the svn-src-user mailing list